
local InventoryInsight = InventoryInsight

ZO_CreateStringId("SI_BINDING_NAME_TOGGLE_INVENTORY_FRAME", "Toggle Inventory Frame")
ZO_CreateStringId("SI_BINDING_NAME_TOGGLE_INVENTORY_FRAME_PERM", "Toggle Inventory Frame In Current Scene")

function InventoryInsight.IN2FrameToggle_Temp()
	--InventoryInsight.IN2_InitializeInventoryFrame()
	if(InventoryInsight.IN2_INVENTORY_FRAME:IsHidden())then
		InventoryInsight.IN2_INVENTORY_FRAME:SetHidden(false)
	else
		InventoryInsight.IN2_INVENTORY_FRAME:SetHidden(true)
	end
end

function InventoryInsight.IN2FrameToggle_Perm()
	if(IN2_INVENTORY_FRAME:IsHidden())then
		local curScene = SCENE_MANAGER.currentScene
        InventoryInsight.IN2_StatusAlert("[InventoryInsight]:InventoryFrameVisibleInScene["..curScene.name.."]")
        InventoryInsight.settings.in2InventoryFrameScenes[curScene.name] = true;
		InventoryInsight.IN2_ToggleInventoryFrame(curScene, nil, "showing")
	else
		local curScene = SCENE_MANAGER.currentScene
        InventoryInsight.IN2_StatusAlert("[InventoryInsight]:InventoryFrameHiddenInScene["..curScene.name.."]")
        InventoryInsight.settings.in2InventoryFrameScenes[curScene.name] = false;   
		InventoryInsight.IN2_ToggleInventoryFrame(curScene, nil, "hiding")
	end
end
