
local InventoryInsight = InventoryInsight

function InventoryInsight.IN2_RegisterForEvents()
	--Events for data collection
	EVENT_MANAGER:RegisterForEvent("IN2_ALPUSH", EVENT_ACTION_LAYER_PUSHED, InventoryInsight.IN2_ActionLayerInventoryUpdate)
	EVENT_MANAGER:RegisterForEvent("IN2_INV_SLOT_UPDATE", EVENT_INVENTORY_SINGLE_SLOT_UPDATE, InventoryInsight.IN2_ActionLayerInventoryUpdate)
	EVENT_MANAGER:RegisterForEvent("IN2_GUILDBANK_LOADED", EVENT_GUILD_BANK_ITEMS_READY, InventoryInsight.IN2_GuildBankActions)
	EVENT_MANAGER:RegisterForEvent("IN2_GUILDBANK_ITEM_ADDED", EVENT_GUILD_BANK_ITEM_ADDED, InventoryInsight.IN2_GuildBankActions)
	EVENT_MANAGER:RegisterForEvent("IN2_GUILDBANK_ITEM_REMOVED", EVENT_GUILD_BANK_ITEM_REMOVED, InventoryInsight.IN2_GuildBankActions)
	EVENT_MANAGER:RegisterForEvent("IN2_PLAYER_LOADED_EVENTS", EVENT_PLAYER_ACTIVATED , InventoryInsight.IN2_PlayerLoadedEvents)
end

function InventoryInsight.IN2_PlayerLoadedEvents()
	--Do these things only on the first load
	if(not InventoryInsight.PlayerLoadedFired)then
		if(InventoryInsight.data.in2AgedGuildBankDataWarning) then InventoryInsight.IN2_CheckForAgedGuildBankData() end
		--Set PlayerLoadedFired = true to prevent future execution during this session
		InventoryInsight.PlayerLoadedFired = true
	end
	--Do these things on any load
	--Do a little dance...
	--Make a little love...
	--Get down tonight...
end