
local InventoryInsight = InventoryInsight

---------------------------------
---EXTERNAL ADDON INTEGRATIONS---
function InventoryInsight.IN2_IsMHOutfitterLoaded()
	if(WF_Outfitter) then
		InventoryInsight.WFOLoaded = true
		if(InventoryInsight.settings.in2RelocateOutfitter) then
			WOGCUIFrame:SetAnchor(BOTTOM, ZO_CharacterApparelSection, TOP, -3, -150)
		else
			WOGCUIFrame:SetAnchor(TOPLEFT, ZO_CharacterApparelSection, TOPRIGHT, -30, 0)
		end
	else
		InventoryInsight.WFOLoaded = false
	end
end

function InventoryInsight.IN2_IsResearchAssistantLoaded()
	--local isResearchable
	--isResearchable = ResearchAssistantScanner:IsItemResearchable(bagId, slotIndex)
	if(ResearchAssistantScanner and ResearchAssistantScanner.isExposed) then
		InventoryInsight.RASLoaded = true
		--Initialize Integration Tables
		InventoryInsight.Integrations.RATooltipIcons = {
			["RA 1"] = "/esoui/art/inventory/newitem_icon.dds",
			["RA 2"] = "/esoui/art/minimap/assisted_map_pin_above.dds",
			["RA 3"] = "/esoui/art/actionbar/passiveabilityframe_round_empty.dds",
			["RA 4"] = "/esoui/art/buttons/radiobuttondisableddown.dds",
			["RA 5"] = "/esoui/art/buttons/pointsplus_up.dds",
			["RA 6"] = "/esoui/art/buttons/info_over.dds",
			["RA 7"] = "/esoui/art/buttons/edit_up.dds",
			["RA 8"] = "/esoui/art/buttons/edit_cancel_up.dds",
			["RA 9"] = "/esoui/art/buttons/checkbox_indeterminate.dds",
			["RA 10"] = "/esoui/art/buttons/cancel_up.dds"
		}
		--Initialize Integration Functions
		function InventoryInsight.RAS_IsItemResearchable(bagId, slotIndex)
			return ResearchAssistantScanner:IsItemResearchable(bagId, slotIndex)
		end
	else
		InventoryInsight.RASLoaded = false
	end
end
---EXTERNAL ADDON INTEGRATIONS
------------------------------